# Cards

<p align="center">
  <img src="src/assets/readme/logo.png" style="width: 400px" alt="logo" />
</p>

React + TypeScript SPA 🚀

<hr>

### Links:

> [UI-kit](https://quiz-cards-app-ui-kit.vercel.app/) on Storybook
>
> [Quiz-Cards](https://quiz-cards-app.vercel.app/) - web application

<hr>

### Description:

In this application you can create a set of cards on absolutely any topic and use them for memorization. 
You can also look at decks of other users. The main page contains filtering, navigation and sorting elements, 
while the decks themselves are presented in table form. The application implements authorization, registration 
and password recovery. If you use a Yandex browser, then allow third-party cookies in your browser settings.

Register or use the test account:

login: __test.account.cards@gmail.com__

password: __1234__
<hr>

Build tool: Vite

Styles: module SCSS

<hr>

## Libraries and packages:

<table>
  <tr>
    <td>async-mutex</td>
    <td>react-toastify</td>
  </tr>
  <tr>
    <td>clsx</td>
    <td>redux-toolkit</td>
  </tr>  
  <tr>
    <td>eslint</td>
    <td>sass</td>
  </tr>  
  <tr>
    <td>radix-ui</td>
    <td>storybook</td>
  </tr>  
  <tr>
    <td>react</td>
    <td>stylelint</td>
  </tr>  
  <tr>
    <td>react-dom</td>
    <td>typescript</td>
  </tr>  
  <tr>
    <td>react-hook-form</td>
    <td>vite</td>
  </tr>
  <tr>
    <td>react-redux</td>
    <td>zod</td>
  </tr>
  <tr>
    <td>react-router-dom</td>
    <td></td>
  </tr>
</table>
